import numpy as np
import matplotlib.pyplot as plt
import matplotlib
from matplotlib.animation import FuncAnimation
import ast

import seaborn as sns 
params = {
    "font.family": "Serif",
    "font.serif": "Roman",
    "text.usetex": True,
    "axes.titlesize": "large",
    "axes.labelsize": "large",
    "xtick.labelsize": "large",
    "ytick.labelsize": "large",
    "legend.fontsize": "medium",
}
plt.rcParams.update(params)


def plot():
    with open("v.txt") as f:
        lines = f.readlines();
        size = int(lines[0])
        for line in lines[1:]:
            arr = line.strip().split("\t")
            arr = np.asarray(list(map(lambda x: ((a := complex(*ast.literal_eval(x)))*a.conjugate()).real, arr)))

            # print(sum(arr))
            arr = arr.reshape(size,size)
            # print(arr)

            plt.imshow(arr.T, cmap="hot", interpolation="nearest")
            plt.show()




if __name__ == "__main__":
    plot()
